package com.ircstuff.jbounce.config;

import java.util.*;

/**
 * Holds the application's configuration.
 */
public class Configuration
{
	public Configuration()
	{
		users = new Vector();
		servers = new Vector();
		listens = new Vector();
	}

	public void addServer(Server server)
	{
		servers.add(server);
	}

	public void addUser(User user)
	{
		users.add(user);
	}

	public Vector getUsers() { return users; }
	public Vector getServers() { return servers; }
	public Vector getListens() { return listens; }

	public void addListen(String iface, int port)
	{
		listens.add(new Listen(iface, port));
	}

	private Vector users, servers, listens;
}
